## autovideosink autovideosink |

## Properties

gint64 | ts-offset | Read / Write
gboolean | sync | Read / Write

## Types and Values

| GstAutoVideoSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstAutoDetect
                            ╰── GstAutoVideoSink

## Implemented Interfaces

GstAutoVideoSink implements GstChildProxy.

## Description

autovideosink is a video sink that automatically detects an appropriate video sink to use. It does so by scanning the registry for all elements that have “Sink” and “Video” in the class field of their element information, and also have a non-zero autoplugging rank.

### Example launch line

    1
    gst-launch-1.0 -v -m videotestsrc ! autovideosink

## Synopsis

### Element Information

plugin | autodetect
author | Jan Schmidt <thaytan@noraisin.net>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### GstAutoVideoSink

    typedef struct _GstAutoVideoSink GstAutoVideoSink;

## Property Details

### The `“ts-offset”` property

      “ts-offset”                gint64

Timestamp offset in nanoseconds.

Flags: Read / Write

Default value: 0

### The `“sync”` property

      “sync”                     gboolean

Sync on the clock.

Flags: Read / Write

Default value: TRUE

## See Also

autoaudiosink, ximagesink, xvimagesink, sdlvideosink